Retrieve all payment checks

Retrieves all payment checks for the authenticated customer.

This endpoint allows you to:

  • Fetch a paginated list of all payment checks
  • Results are sorted by creation date with the most recently created appearing first

Required permissions (one of):

  • payment_checks_read
  • payment_checks_write
Query Params
string

Filter by payment IDs - comma-separated list of payment IDs to retrieve.

Returns only the payments matching the specified IDs.

string

Filter by payment state - comma-separated list of payment result statuses.

Returns only the payments matching the specified states.

integer
1 to 100

Maximum number of payments to return in the response.

Constraints:

  • Minimum: 1
  • Maximum: 100

If not specified, the default limit will be applied.

date

Filter by update date - returns payments updated on or after this date.

Format: YYYY-MM-DD (ISO 8601)

uuid

Pagination cursor - returns payments created after the payment with this ID.

  • Results are ordered by creation date
  • Cannot be used together with ending_before
  • Must be a valid UUID
uuid

Pagination cursor - returns payments created before the payment with this ID.

  • Results are ordered by creation date
  • Cannot be used together with starting_after
  • Must be a valid UUID
Headers
string
enum

Specifies the preferred language for the response. If not provided, the default language will be used.

Allowed:
string

Connector name and version used to call API

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json